VERSION 2.00
Begin Form frmAuthor 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Simple Listing Example"
   ClientHeight    =   5505
   ClientLeft      =   195
   ClientTop       =   1455
   ClientWidth     =   7095
   Height          =   5910
   Left            =   135
   LinkTopic       =   "Form2"
   MDIChild        =   -1  'True
   ScaleHeight     =   5505
   ScaleWidth      =   7095
   Top             =   1110
   Width           =   7215
   Begin CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   5760
      TabIndex        =   5
      Top             =   4920
      Width           =   1095
   End
   Begin CommandButton cmdSelective 
      Caption         =   "Authors with ID < 20"
      Height          =   435
      Left            =   4740
      TabIndex        =   3
      Top             =   780
      Width           =   2115
   End
   Begin CommandButton cmdAll 
      Caption         =   "All Authors"
      Height          =   435
      Left            =   4740
      TabIndex        =   2
      Top             =   180
      Width           =   2115
   End
   Begin ListBox lstResult 
      Height          =   3150
      Left            =   180
      TabIndex        =   0
      Top             =   2160
      Width           =   4215
   End
   Begin Label lblResult 
      BorderStyle     =   1  'Fixed Single
      Height          =   735
      Left            =   4740
      TabIndex        =   4
      Top             =   2160
      Width           =   2115
   End
   Begin Label Label1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "This is a simple example of using the db_SetListAuthor() and db_GetNextAuthor() routines (generated automatically using the MAIN.TPT template) to fill a listbox with all or a selective number of authors from the database.  Press the two command buttons to see the effect.  Also study the code underneath these buttons."
      Height          =   1815
      Left            =   180
      TabIndex        =   1
      Top             =   180
      Width           =   4215
   End
End
Option Explicit

Sub cmdAll_Click ()

  Call display_authors("ALL")
  lblResult.Caption = "All Authors Retrieved"

End Sub

Sub cmdOK_Click ()
   
   lstResult.Clear
   lblResult.Caption = ""
   Unload Me

End Sub

Sub cmdSelective_Click ()
  
  Call display_authors("Au_ID <= 20")
  lblResult.Caption = "Authors with Au_ID <= 20 Retrieved"

End Sub

Sub display_authors (SQLQ As String)

  Dim AuthorRec As tpeAuthor
  Dim TotRecs As Long, r As Long, ErrCode As Integer

  'Clear list box
  lstResult.Clear
  'Create transparent list (dynaset) of Authors
  ErrCode = db_SetListAuthor(SQLQ, TotRecs)
  If ErrCode = DBERR_OK Then
     For r = 0 To TotRecs - 1
         'Loop and retrieve Authors meeting criteria
         ErrCode = db_GetNextAuthor(AuthorRec)
         If ErrCode = DBERR_OK Then
            'Add Author's name to the listbox
            lstResult.AddItem Trim$(AuthorRec.Author)
         Else
            MsgBox "Cannot retrieve Author"
            Exit For
         End If
     Next r
  End If

End Sub

