VERSION 2.00
Begin MDIForm frmMDIMenu 
   Caption         =   "VB-CaseWIZ Biblio Demonstration"
   ClientHeight    =   4020
   ClientLeft      =   690
   ClientTop       =   1950
   ClientWidth     =   7365
   Height          =   4710
   Left            =   630
   LinkTopic       =   "MDIForm1"
   Top             =   1320
   Width           =   7485
   WindowState     =   2  'Maximized
   Begin Menu mnuOpt 
      Caption         =   "Options"
      Begin Menu mnuOptAuthor 
         Caption         =   "Simple Listing (Author) ..."
      End
      Begin Menu mnuOptPublisher 
         Caption         =   "Edit Listing (Publisher)"
      End
      Begin Menu a 
         Caption         =   "-"
      End
      Begin Menu mnuOptExit 
         Caption         =   "Exit"
      End
   End
End
Option Explicit

Sub MDIForm_Load ()

   Dim ErrCode As Integer, FileName As String

   FileName = InputBox("Biblio Database Path + File Name:", "", "\VBCW\DEMOS\BIBLIO.MDB")
   If FileName = "" Then
      Unload Me
   Else
      'Open database
      ErrCode = db_OpenDatabase(FileName)
      If ErrCode <> DBERR_OK Then
         MsgBox "Cannot open database.  Quiting Program..."
         Unload Me
      End If
   End If

End Sub

Sub MDIForm_Unload (Cancel As Integer)

   Dim ErrCode As Integer

   'Close database
   ErrCode = db_CloseDatabase()
   If ErrCode <> DBERR_OK Then
      MsgBox "Cannot close database properly..."
   End If

End Sub

Sub mnuOptAuthor_Click ()
   frmAuthor.Show
End Sub

Sub mnuOptExit_Click ()
    Unload Me
End Sub

Sub mnuOptPublisher_Click ()
   frmPublisher.Show
End Sub

